# PetscViewerType

String with the name of a PETSc PETScViewer

### Synopsis

    #define PetscViewerType const char*
    #define PETSC_VIEWER_SOCKET       "socket"
    #define PETSC_VIEWER_ASCII        "ascii"
    #define PETSC_VIEWER_BINARY       "binary"
    #define PETSC_VIEWER_STRING       "string"
    #define PETSC_VIEWER_DRAW         "draw"
    #define PETSC_VIEWER_VU           "vu"
    #define PETSC_VIEWER_MATHEMATICA  "mathematica"
    #define PETSC_VIEWER_SILO         "silo"
    #define PETSC_VIEWER_NETCDF       "netcdf"
    #define PETSC_VIEWER_HDF4         "hdf4"
    #define PETSC_VIEWER_MATLAB       "matlab"

    extern PetscFList PetscViewerList;

### See Also

PetscViewerSetType(), PetscViewer

Level:beginner
Location: src/sys/viewer/../../../include/petscviewer.h
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages